
Redmine - Patch #1103

Add deleting of wiki page individual versions

2008-04-25 03:25 - W Snyder

Status: Closed Start date: 2008-04-25

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Description

This is the beginning of a patch to add "Delete" to all but the most recent version of the wiki history list, this cleans up the history -

without the mess of "destroy" then adding back the page.

This isn't a complete patch; I'm just starting picking up ruby, and aren't sure of the next step; can someone help a bit?

I got as far as wiki_page.rb delete_version.  This takes a version number and correctly does find_by_version, but how do I destroy

the passed version?

Thanks for the help.

Related issues:

Has duplicate Redmine - Feature #10852: Ability to delete a version from a wi... Closed

History

#1 - 2013-04-01 20:44 - Bruce Svare

Duplicate of #10852

#2 - 2013-04-05 09:47 - W Snyder

- Status changed from New to Resolved

#3 - 2013-04-05 12:12 - Etienne Massip

- Category set to Wiki

- Status changed from Resolved to Closed

Files

a.patch 2.6 KB 2008-04-25 W Snyder
